package com.gic.haoban.manage.web.vo.chat;

import java.io.Serializable;
import java.util.Date;

/**
 * @author shangfeng
 * @date 2024-10-09 15:30:26
 */
public class GroupChatActivityInviteVO implements Serializable {

    private static final long serialVersionUID = -7144700091431890994L;

    /**
     * 头像
     */
    private String photoUrl;

    /**
     * 昵称
     */
    private String nickName;

    /**
     * 有效邀请类型 1有效0无效
     */
    private Integer inviteType;

    /**
     * 无效邀请类型 1非首次参与活动受邀入群2入群前已处于企业群聊内3非首次加入企业群聊
     */
    private Integer invalidInviteType;

    /**
     * 邀请时间
     */
    private Date createTime;

    public String getPhotoUrl() {
        return photoUrl;
    }

    public void setPhotoUrl(String photoUrl) {
        this.photoUrl = photoUrl;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public Integer getInviteType() {
        return inviteType;
    }

    public void setInviteType(Integer inviteType) {
        this.inviteType = inviteType;
    }

    public Integer getInvalidInviteType() {
        return invalidInviteType;
    }

    public void setInvalidInviteType(Integer invalidInviteType) {
        this.invalidInviteType = invalidInviteType;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
